package com.tsgame.tsgame_niuniu.Bean;

public class filelistBean  implements Comparable<filelistBean>{
	
	private int idx;
	
	public int getIdx() {
		return idx;
	}

	public void setIdx(int idx) {
		this.idx = idx;
	}

	private int type;
	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	@Override
	public String toString() {
		return "filelistBean [idx=" + idx + ", type=" + type + ", download="
				+ download + ", savepath=" + savepath + "]";
	}

	public String getDownload() {
		return download;
	}

	public void setDownload(String download) {
		this.download = download;
	}

	public String getSavepath() {
		return savepath;
	}

	public void setSavepath(String savepath) {
		this.savepath = savepath;
	}

	private String download;
	
	private String savepath;

	@Override
	public int compareTo(filelistBean another) {
		  return this.getIdx() - another.getIdx(); 
	}

}
